From 6e2e77bceaf642bdc3f28002b1e0205a67649e77 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9lestin=20Matte?= <celestin.matte@gmail.com>
Date: Sat, 12 Aug 2023 16:02:13 +0200
Subject: [PATCH 3/3] Fix pycodestyle errors

---
 web/pglister/lists/views_api.py      | 4 ++--
 web/pglister/lists/views_moderate.py | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/web/pglister/lists/views_api.py b/web/pglister/lists/views_api.py
index 24e41df..aca4a27 100644
--- a/web/pglister/lists/views_api.py
+++ b/web/pglister/lists/views_api.py
@@ -80,12 +80,12 @@ class SubscribersApi(View):
         except ValueError:
             return HttpResponse("Unparseable input format", status=500)
 
-        if type(j) != list:
+        if not isinstance(j, list):
             return HttpResponse("Invalid input format, must be list", status=500)
 
         emails = []
         for e in j:
-            if type(e) != dict:
+            if not isinstance(e, dict):
                 return HttpResponse("Invalid input format, must be dict (%s)" % e, status=500)
             e = e['email'].lower()
             try:
diff --git a/web/pglister/lists/views_moderate.py b/web/pglister/lists/views_moderate.py
index ac6100e..451afdd 100644
--- a/web/pglister/lists/views_moderate.py
+++ b/web/pglister/lists/views_moderate.py
@@ -70,7 +70,7 @@ def notify_unsubscribed_user(ls, unsubnote):
 
 def _tokenstr(fromtoken):
     if fromtoken:
-        return' (from token)'
+        return ' (from token)'
     return ""
 
 
-- 
2.41.0

